
Core - Feature # 47709

Epic # 61834 (Accepted): Create future proof Content Element with strong default
Task # 61836 (Accepted): Reorganize Content Element properties within backend Extension
Task # 61842 (New): Refactor CSS-Styled-Content + Content Elements

Status: New Priority: Must have
Author: Tanel Põld Category: Backend User Interface
Created: 2013-04-29 Assigned To: Patrick Broens
Updated: 2014-09-24 Due date:
PHP Version: 5.4
Complexity:
Sprint Focus:
Subject: File Links content element icon/thumb list usability
Description

In the back end File Links content element shows only icons and thumbnails. Only way to see what files are listed is opening the
content element for editing.

I think list of file names or titles would make more sense.

Associated revisions
Revision bedddf2e - 2013-10-13 02:50 - Patrick Broens

[FEATURE] Improve usability for BE database thumbnails/file icons

The backend produces thumbnails/file icons/truetype font previews which
come from a database row. The usability for these images can be improved
by showing the file name or title on hover using the title attribute.
Currently only the thumbnail/icon is produced and more information can
only be read by clicking the icon or opening the record, like in the
content element File Links.

This patch changes the alt attribute to the alternative text and adds the
title attribute for these images. When no title has been given for a file
record, the file name will be used instead.

Change-Id: I23b761fb204dda2c200f3ea57961cc017840fcac
Fixes: #47709
Releases: 6.2
Reviewed-on: https://review.typo3.org/20456
Reviewed-by: Alexander Opitz
Tested-by: Alexander Opitz
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

Revision 39532cd8 - 2013-10-15 17:19 - Oliver Hader

Revert "[FEATURE] Improve usability for BE database thumbnails/file icons"

This reverts commit bedddf2e0fb50b0ebe3751f8563ee8021c945303
Reason for reverting the mentioned commit:
Fatal error: Call to undefined method
TYPO3\CMS\Core\Resource\File::getAlternative()

Related: #47709
Releases: 6.2

Change-Id: Ie0ed98b2315bedf4475d25e92a3842972e85b7bf
Reviewed-on: https://review.typo3.org/24809
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2013-04-30 17:09 - Alexander Opitz

The screenshot seems reduced and I don't see anything on it.
Can you make a better screenshot? And which TYPO3 6.0 Version are you using?

#2 - 2013-04-30 17:10 - Alexander Opitz
- Status changed from New to Needs Feedback

#3 - 2013-05-03 09:17 - Patrick Broens

This is a matter of personal preference. For some people the visual information like a thumbnail says more than a file name.

You can click on each thumbnail or icon to get more information about that particular file. It will open in a popup.

However, it might be an idea to have the file name in the "title" attribute of the thumbnail/icon. It is already in the "alt" attribute, but most browsers don't
show this nowadays (which is good). When hovering the thumbnail, it will show the content of this "title" attribute, like "Filename: YourPicture.jpg". It
makes no sense to have the file name in the "alt" attribute.

IMHO the best solution would be to have the FAL title in the title attribute and the FAL alternative text in the alt attribute. When the title in FAL is
empty, it defaults to the file name anyway.

#4 - 2013-05-03 09:54 - Patrick Broens
- Status changed from Needs Feedback to Accepted
- Assigned To set to Patrick Broens
- Target version set to 6.2.0

#5 - 2013-05-03 11:05 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20456

#6 - 2013-05-12 02:41 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20456

#7 - 2013-05-12 02:44 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20456

#8 - 2013-10-13 00:21 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20456

#9 - 2013-10-13 03:30 - Patrick Broens
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bedddf2e0fb50b0ebe3751f8563ee8021c945303.

#10 - 2013-10-15 17:20 - Oliver Hader
- Status changed from Resolved to Needs Feedback

Reopened since the change has been reverted in master due to a fatal error:
https://review.typo3.org/#/c/24809/

File::getAlternative() was used, which does not exist...
Maybe somebody wants to give it a try with File::getProperty('alternative')?

#11 - 2013-10-28 20:55 - Ernesto Baschny

Could still be tackled, if a stable replacement is reviewed before beta2. I guess the changes from the original reverted patch are not so huge.

#12 - 2014-02-20 17:18 - Alexander Opitz
- Status changed from Needs Feedback to New

#13 - 2014-09-24 12:32 - Felix Kopp
- Parent task set to #61842
